import globalPluginHandler
import scriptHandler
import textInfos
import NVDAObjects
import speech
import api
import winUser

class GlobalPlugin(globalPluginHandler.GlobalPlugin):
	def script_wordCount(self,gesture):
		obj=api.getFocusObject()
		treeInterceptor=obj.treeInterceptor
		if hasattr(treeInterceptor,'TextInfo') and not treeInterceptor.passThrough:
			obj=treeInterceptor
		try:
			info=obj.makeTextInfo(textInfos.POSITION_SELECTION)
		except (RuntimeError, NotImplementedError):
			info=None
		if not info or info.isCollapsed:
			speech.speakMessage(_("select some text first."))
		else:
			wordcount=0
			str=info.text
			words=str.split()
			wordcount+=len(words)
			speech.speakMessage(_("%s")%wordcount)
	__gestures={
		"kb:NVDA+shift+w": "wordCount",
	}